Name:            gnaughty
Version:         1.2.2
Release:         1%{?dist}
Summary:         Downloader for adult content
Group:           Applications/Internet
License:         GPLv2+
URL:             http://gnaughty.sourceforge.net
Source0:         http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:   libglade2-devel
BuildRequires:   gtk2-devel
BuildRequires:   GConf2-devel
BuildRequires:   libcurl-devel
BuildRequires:   pcre-devel
BuildRequires:   desktop-file-utils

Requires(pre):   GConf2
Requires(preun): GConf2
Requires(post):  GConf2


%description
Application to download automatically adult sex content, i.e. movies and 
pictures, from a known internet directory.


%prep
%setup -q

sed -i 's|Icon=%{name}.png|Icon=%{name}|g' %{name}.desktop
sed -i 's|Comment=Porn downloader|Comment=Downloader for adult content|g' %{name}.desktop


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

make install \
     DESTDIR=%{buildroot} \
     INSTALL="install -p"

desktop-file-install \
        --dir=%{buildroot}%{_datadir}/applications \
        %{buildroot}/%{_datadir}/applications/%{name}.desktop


%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
    gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi


%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
    gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi


%post
export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :


%clean
rm -rf %{buildroot}


%files 
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.png


%changelog
* Tue Jan 05 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 1.2.2-1
- New upstream release

* Fri May 29 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 1.2.0-2
- Replace "porn" with "adult content" in spec and desktopfile
- Remove Featurelist from DESCRIPTION

* Thu May 28 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 1.2.0-1
- Initial package build
